Bug 660236 - memory leak in pam_ldap
Summary: memory leak in pam_ldap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On: 511238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 08:20 UTC by RHEL Program Management
Modified: 2010-12-16 21:27 UTC (History)
12 users (show)

Fixed In Version: nss_ldap-253-25.el5_5.1
Doc Type: Bug Fix
Doc Text:
When using pluggable authentication modules (PAM), selected modules can be loaded and unloaded upon each authentication attempt. However, unloading the pam_ldap module could cause the memory that is allocated by libraries on which it depends to be lost. Consequent to this, multiple authentication attempts may have led to a significant memory loss. To prevent this, the pam_ldap module is no longer unloaded.
Clone Of:
Environment:
Last Closed: 2010-12-16 21:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0992 normal SHIPPED_LIVE nss_ldap bug fix update 2010-12-16 21:27:17 UTC

Description RHEL Program Management 2010-12-06 08:20:34 UTC
This bug has been copied from bug #511238 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 6 Jaromir Hradilek 2010-12-15 16:46:54 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using pluggable authentication modules (PAM), selected modules can be loaded and unloaded upon each authentication attempt. However, unloading the pam_ldap module could cause the memory that is allocated by libraries on which it depends to be lost. Consequent to this, multiple authentication attempts may have led to a significant memory loss. To prevent this, the pam_ldap module is no longer unloaded.

Comment 8 errata-xmlrpc 2010-12-16 21:27:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0992.html


Note You need to log in before you can comment on or make changes to this bug.